/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef CONVERT_H
#define CONVERT_H

#include <qdict.h>
#include <qstring.h>

class Convert
{
public:

    Convert();
    ~Convert();

    bool initialize(const QString& romKanaFileName);
    QString romajiToKana(const QString& romaji, bool hiragana=true);

private:
    QDict<QString> *_hiraganaDict;
    QDict<QString> *_katakanaDict;

    bool _initialized;

};


#endif
