/*
    JARDS, Japanese Reference and Drilling System.
    Copyright (C) 2006  Johnny Andersson (e-mail: andersson.johnny@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include <qpainter.h>
#include <qimage.h>
#include "strokesview.h"

StrokesView::StrokesView(QWidget *parent, const char *name, WFlags f)
        : QWidget(parent, name, f)
{
}


StrokesView::~StrokesView()
{}

void StrokesView::setKanji(const Kanji& k)
{
    _strokes = glKanjiDic->getKanjiStrokes(&k);

    _xItems = 1;
    _yItems = 1;

    while(_xItems * _yItems < _strokes.length())
    {
        _xItems++;
        if(_xItems * _yItems < _strokes.length())
            _yItems++;
    }

    update();

}

void StrokesView::paintEvent(QPaintEvent *e)
{
    // Double buffer this

    return;

    if(_strokes.isEmpty())
        return;

    int stroke = 0;
    _xSize = width() / _xItems;
    _ySize = height() / _yItems;

    QPainter p;
    QImage im;
    QString str;
    p.begin(this);
    p.setPen(colorGroup().foreground());

    for(int x=0; x < _xItems; x++)
    {
        for(int y=0; y < _yItems; y++)
        {
            if(stroke == _strokes.length())
                break;

            str = _strokes[stroke];
            stroke++;

            while((_strokes[stroke] == _strokes[stroke].lower()) && stroke != _strokes.length())
                str += _strokes[stroke++];

            im = makeArrow(str);
        }
    }

    p.end();
}


QImage StrokesView::makeArrow(QString stroke)
{
    QChar ch;
    QPointArray pts;

    for(int i=0; i<stroke.length(); i++)
    {
        ch = stroke[i];




    }
}


